# Apache Yetus 0.4.0 Release Notes

These release notes cover new developer and user-facing incompatibilities, important issues, features, and major improvements.

- YETUS-390 | Major | qbt needs an "abbreviated email" mode

Users:

- `--brief-report-file` allows for the creation of a much smaller, plain-text friendly report. See the qbt documentation for more information.
- Filtered tests now show up as orange in those reports that support color. Previously they were blue.

Developers:

- The `add_vote_table` API no longer accepts a null vote.
- The vote table time is now in raw seconds rather than a display-able time.
- Filtered subsystems will put -0 in the vote table if they failed instead of always putting 0. If they do not fail (0 or +1), that vote is now kept.
- `module_status` now allows to update a module's status without requiring providing the other parameters.

- YETUS-341 | Major | docker cleanup in sentinel mode doesn't know about Created

Developers:

This changes the ordering of the DOCKER_CONTAINER_PURGE array.

- YETUS-309 | Major | pylint plugin false positives

The precommit plugin for pylint now ignores messages at the INFO level, which includes locally disabled warnings.

- YETUS-461 | Minor | Allow specifying exclusions for whitespace report

Apache Yetus Precommit users can specify a list of filename regexes to ignore when checking for whitespace errors with the new command line arguments:

- `--whitespace-eol-ignore-list` to skip end-of-line whitespace checks
- `--whitespace-tabs-ignore-list` to skip checking for tabs